#include "os/MachineId.h"
#include <fstream>


namespace os
{

MachineId::MachineId()
{
	std::fstream stream ("/etc/machine-id", std::ios_base::binary | std::ios_base::in);
	while(stream)
	{
		char character = stream.get();
		if (::isprint(character))
		{
			id_ += character;
		}
	}
}

} // namespace os
