#ifndef HEADER_OS_USINGS
#define HEADER_OS_USINGS

#include <sys/types.h>

namespace os
{

	using ErrorCode = int;			/// Type of error code.
	using FileDescriptor = int;		/// Type of file descriptor.
	using ProcessId = pid_t;		/// Type of process id.
	using SignalId = int;			/// Type of signal id.
	using ProcessStatusValue = int;	/// Type of process status value.

} // namespace os


#endif // HEADER_OS_USINGS
